module UU
  module OS

      module PersonalRole

        # Defines portlets available in the portlet area.
        class PersonalRolePortletsMode

          # Portlet area is displayed according to the default system setting. In case
          # of the portlet mobile mode, the portlet area will be displayed on mobile
          # devices according to the portlet mode setting.
          DEFAULT = 'DEFAULT'

          # Portlet area is displayed.
          VISIBLE = 'VISIBLE'

          # Portlet area is not displayed.
          HIDDEN = 'HIDDEN'

        end
      end
    end
end
