require 'uu/os/rest/dto'

module UU
  module OS
    module Sheet
      class SheetGetComponentData < UU::OS::REST::DTO

        # Identification of the component in given sheet which content is returned (id of
        # a paragraph etc.).
        attr_accessor :component_id

        # Specifies the format of data in the result stream. Available output data formats are UXML or BB code by default.
        attr_accessor :requested_mime_type
        def component_id 
          attributes[:componentId]
        end

        def component_id=(val) 
          attributes[:componentId] = val
        end

        def requested_mime_type 
          attributes[:requestedMimeType]
        end

        def requested_mime_type=(val) 
          attributes[:requestedMimeType] = val
        end

      end
    end

  end
end
