module UU
  module OS
    module Artifact
      # Enum for visual styles of sheet content and other visual components.
      class ArtifactVisualStyle
        # Default setting
        DEFAULT = 'DEFAULT'
        
        # Old visual style (small font, angular corners on input fields, tightly packed).
        V1 = 'V1'
        
        # New visual style (bigger font, round corners on input fields, more space between components).
        V2 = 'V2'        
      end
    end
  end
end