require 'uu/os/rest/dto'
require 'uu/os/uesuri'


module UU
module OS

module Cast

class CastCreate < UU::OS::REST::DTO

# @see Cast#create
attr_accessor :casted_subject_uri

# @see Cast#create
attr_accessor :level

# @see Cast#create
attr_accessor :primary

# @see Cast#create
attr_accessor :date_to

# @see Cast#create
attr_accessor :visible



def casted_subject_uri 
attributes[:castedSubjectUri]
end

def casted_subject_uri=(val) 
if val
attributes[:castedSubjectUri] = UU::OS::UESURI.new(val)
else
attributes[:castedSubjectUri] = nil
end
end

def level 
attributes[:level]
end

def level=(val) 
attributes[:level] = val
end

def primary 
attributes[:primary]
end

def primary=(val) 
attributes[:primary] = val
end

def date_to 
attributes[:dateTo]
end

def date_to=(val) 
attributes[:dateTo] = val
end

def visible
attributes[:visible]
end

def visible=(val)
attributes[:visible] = val
end

end
end

end

end
