require 'uu/os/rest/dto'

module UU
  module OS
    module PersonalRole
      
      # Account attributes.
      class PersonalRoleAccountAttributes < UU::OS::REST::DTO
        
        # @see PersonalRole#get_account_list
        attr_accessor :id;

        # @see PersonalRole#get_account_list
        attr_accessor :realm;
        
        # @see PersonalRole#get_account_list
        attr_accessor :account_name;

        # @see PersonalRole#get_account_list
        attr_accessor :creation_time;
        
        def id
          return attributes[:id];
        end
        
        def id=(value)
          attributes[:id] = value;
        end
        
        def realm
          return attributes[:realm];
        end

        def realm=(value)
          attributes[:realm] = value;
        end
        
        def account_name
          return attributes[:account_name];
        end
        
        def account_name=(value)
          attributes[:account_name] = value;
        end
        
        def creation_time
          return attributes[:creation_time];
        end
        
        def creation_time=(value)
          attributes[:creation_time] = value;
        end
        
      end
    end
  end
end
