require 'uu/os/rest/paging_criteria'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Sheet.
    module Sheet
      # @see Sheet#get_version_list
      class SheetGetVersionList < UU::OS::REST::PagingCriteria

        # @see Sheet#get_version_list
        attr_accessor :query
        
        def query 
          attributes[:query]
        end

        def query=(val) 
          attributes[:query] = val
        end

      end
    end
  end
end
